Main Page Widgets glibmm Namespaces Book

# Glib::Glib::Value< Glib::ustring > Class Template Reference
[Generic Values]

Specialization for UTF-8 strings. More...

Inheritance diagram for Glib::Glib::Value< Glib::ustring >:

[legend]

List of all members.

## Public Types

typedef Glib::ustring | CppType

## Public Member Functions

void | set (const Glib::ustring& data)
Glib::ustring | get () const

## Detailed Description

### template<>
class Glib::Glib::Value< Glib::ustring >

Specialization for UTF-8 strings.

## Member Typedef Documentation

typedef Glib::ustring Glib::Glib::Value<Glib::ustring>::CppType

## Member Function Documentation

void Glib::Glib::Value<Glib::ustring>::set | ( | const Glib::ustring& | data | ) |

Glib::ustring Glib::Glib::Value<Glib::ustring>::get | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- value.h